<?php
/* Inclusion du fichier nécessaire */
require_once("./magpierss-0.72/rss_fetch.inc");

function FeedParser($url_feed, $nb_items_affiches=10){
	/* Lecture du lux RSS distant */
	$rss = fetch_rss($url_feed);

	/* Si la lecture s'est bien passée */
	if (is_array($rss->items)){
   	/* On récupère uniquement les éléments les plus récents */
   	$items = array_slice($rss->items, 0, $nb_items_affiches);
   	
   	$html =  "<div id='news'>\n";
   	$html .= "<h3>Dernières nouveautés</h3>";

		foreach ($items as $item){
    		$html .= "<h4><a href=\"".$item['link']."\">".$item['title']."</a></h4>";
    		$html .= "<div class='article-content'>".utf8_encode($item['description'])."</div>";
  		}
   	$html .= "</div>\n";
	}
	return $html;
}
?>
