<?php
	include("header.php");
	
	/* Chargement des facteurs COCOMO */
	$facteurs =& loadCocomoFactors($db);
?>

<div id="content">
	<div id="content-left">
		<div id="intro" class="box">
			<h2>Réglage des facteurs COCOMO</h2>
			<p>Cette section permet le réglage des facteurs de coût COCOMO. Les valeurs par défaut correspondent aux valeurs utilisées du moment. Il est déconseillé de les modifier sans être certain de l'utilité des nouvelles valeurs.</p>
		</div>
		
		<h4>COCOMO de base</h4>
		
		<form name="facteurs" method="POST" action="./metier/metier.php?action=facteurscocomo">
			<table class="results">
				<?php 
					for($i = 0 ; $i < 6 ; $i ++){
							if($i == 0){
								echo '<tr class="even"><td colspan="3"><label>'.utf8_encode($facteurs[$i]->type_calcul).'</label></td>';
								echo '</tr><tr class="">';
							}
							elseif($i == 3){
								echo '<tr class="even"><td colspan="3"><label>'.utf8_encode($facteurs[$i]->type_calcul).'</label></td>';
								echo '</tr><tr class="">';
							}
							else
								echo '<tr class="">';
							echo '<td>'.utf8_encode($facteurs[$i]->mode_cocomo).'</td>';
							echo '<td><input name="'.$facteurs[$i]->id_facteurscocomo.'a" type="text" value="'.$facteurs[$i]->a.'"/></td>';
							echo '<td><input name="'.$facteurs[$i]->id_facteurscocomo.'b" type="text" value="'.$facteurs[$i]->b.'"/></td>';
						echo '</tr>';
					}
				?>
			</table>
			
			<h4>COCOMO intermédiaire</h4>
			<table class="results">
				<?php 
					for($i = 6 ; $i < 12 ; $i ++){
							if($i == 6){
								echo '<tr class="even"><td colspan="3"><label>'.utf8_encode($facteurs[$i]->type_calcul).'</label></td>';
								echo '</tr><tr class="">';
							}
							elseif($i == 9){
								echo '<tr class="even"><td colspan="3"><label>'.utf8_encode($facteurs[$i]->type_calcul).'</label></td>';
								echo '</tr><tr class="">';
							}
							else
								echo '<tr class="">';
							echo '<td>'.utf8_encode($facteurs[$i]->mode_cocomo).'</td>';
							echo '<td><input name="'.$facteurs[$i]->id_facteurscocomo.'a" type="text" value="'.$facteurs[$i]->a.'"/></td>';
							echo '<td><input name="'.$facteurs[$i]->id_facteurscocomo.'b" type="text" value="'.$facteurs[$i]->b.'"/></td>';
						echo '</tr>';
					}
				?>
			</table>
			
			<br/>
			<button onClick="javascript:this.form.submit();">Valider les changements</button>
		</form>
		
	</div>
	<?php include("rightmenu.php"); ?>
</div>

<?php
	include("footer.php");
?>