<?php
	include("header.php");
	
	$monProjet =& getProjectById($db, $_GET['id_projet']);
	$mesInformations =& getFullInformationById($db, $_GET['id_projet']);
	$donneesPert =& loadPert($db, $_GET['id_projet']);
?>

<div id="content">
	<div id="content-left">
		<div id="pkglist-search">
			<div id="news">
				<h3>Informations sur le projet "<?php echo utf8_encode($monProjet->libelle_projet); ?>"
				<a href="./metier/metier.php?action=session-login&id_projet=<?php echo $_GET['id_projet']; ?>&libelle_projet=<?php echo $monProjet->libelle_projet; ?>" ><img title="Définir comme le projet courant" width=24 height=24 src="./images/archlinux-icon-login.png"></a></h3>
				<br/>
			</div>
			
			<!-- Affichage des informations concernant les points de fonction -->
			<h4>Méthode des points de fonctions</h4>
			<table class="results view">
				<tr class="odd">
					<td><label>UFC</label></td>
					<td><?php echo $mesInformations['pointsfonction']->UFC; ?></td>
				</tr>
				<tr class="even">
					<td><label>TCF</label></td>
					<td><?php echo $mesInformations['pointsfonction']->TCF; ?></td>
				</tr>
				<tr class="odd">
					<td><label>PF</label></td>
					<td><?php echo $mesInformations['pointsfonction']->PF; ?></td>
				</tr>
				<tr class="even">
					<td><label>LOC</label></td>
					<td><?php echo $mesInformations['pointsfonction']->LOC; ?></td>
				</tr>
			</table>
			
			<!-- Affichage des informations concernant la méthode cocomo (de base et intermédiaire) -->
			<h4>Méthode COCOMO</h4>
			<table class="results view">
				<tr class="odd">
					<td><label>Type</label></td>
					<td><?php echo utf8_encode($mesInformations['cocomo']->type_cocomo); ?></td>
				</tr>
				<tr class="even">
					<td><label>Mode</label></td>
					<td><?php echo utf8_encode($mesInformations['cocomo']->mode_cocomo); ?></td>
				</tr>
				<tr class="odd">
					<td><label>LOC</label></td>
					<td><?php echo $mesInformations['cocomo']->kloc * 1000; ?></td>
				</tr>
				<tr class="even">
					<td><label>Effort</label></td>
					<td><?php echo $mesInformations['cocomo']->effort; ?></td>
				</tr>
				<tr class="odd">
					<td><label>Temps de développement</label></td>
					<td><?php echo $mesInformations['cocomo']->temps_dev; ?></td>
				</tr>
				<tr class="even">
					<td><label>Taille de l'équipe</label></td>
					<td><?php echo $mesInformations['cocomo']->taille_equipe; ?></td>
				</tr>
			</table>
		</div>
		
		<!-- Affichage des informations sur le Diagramme PERT -->
		<?php
			if(!empty($donneesPert)){
				echo '<h4>Diagramme PERT "'.$donneesPert[0]->libelle_pert.'"</h4>';
				echo '<table class="results view">';
					echo '<tr>';
						echo '<td><label>Tâche</label></td>';
						echo '<td><label>Description</label></td>';
						echo '<td><label>Antécédents</label></td>';
						echo '<td><label>Durée</label></td>';
						echo '<td><label>Début au plus tôt</label></td>';
						echo '<td><label>Début au plus tard</label></td>';
						echo '<td><label>Fin au plus tôt</label></td>';
						echo '<td><label>Fin au plus tard</label></td>';
						echo '<td><label>Marge</label></td>';
					echo '</tr>';
					
					/* Initialisation de la classe */
					$class = "even";
					
					foreach($donneesPert as $row){
						echo '<tr class="'.$class.'"';
							echo '<td>'.$row->lettre_tache.'</td>';
							echo '<td>'.utf8_encode($row->libelle_tache).'</td>';
							echo '<td>'.$row->predecesseur.'</td>';
							echo '<td>'.$row->duree.'</td>';
							echo '<td>'.$row->datePlusTot.'</td>';
							echo '<td>'.$row->datePlusTard.'</td>';
							echo '<td>'.$row->finPlusTot.'</td>';
							echo '<td>'.$row->finPlusTard.'</td>';
							echo '<td>'.$row->marge.'</td>';
						echo '</tr>';
						
						$class = ($class == "even") ? "odd" : "even";
					}
					
				echo '</table>';
			}
		?>
		
		<br/>
		<!-- Bouton du suppression du projet -->
		<button onClick="javascript:if(window.confirm('Êtes-vous sur de vouloir supprimer ce projet ?')){document.location.href='./metier/metier.php?action=supprimer-projet&id_projet=<?php echo $_GET['id_projet'] ; ?>'};">Supprimer ce projet</button>
	</div>
	
	<?php include("rightmenu.php"); ?>	
	
</div>

<?php
	include("footer.php");
?>